## saods9 7.3.2+repack

=== Makefile ===
include make.include
include make.pkgs

.NOTPARALLEL :

#--------------------------defines

export root := $(shell pwd)

USER	= joye
DEST	= bokhara

#--------------------------dirs

SRCDIR	= src
DOCDIR	= doc
DS9DIR	= ds9
DIRS = bin lib include man share dist

#--------------------------dist

DS9APP=SAOImage\ DS9\ $(DS9VERSION)
XPAAPP=XPA\ $(XPAVERSION)

#--------------------------cvs stuff

CVSFILES = admin \
	COPYING \
	copyright \
	make.arm \
	make.cygwin \
	make.cygwin64 \
	make.darwinmavericks \
	make.darwinmountainlion \
	make.darwinlion \
	make.linux \
	make.linux64 \
	make.macosxmavericks \
	make.macosxmountainlion \
	make.macosxlion \
	make.source \
	make.pkgs \
	Makefile \
	Makefile.unix \
	Makefile.macosx \
	Makefile.windows \
	mods \
	notes.txt \
	README \
	saotk \
	tclcheckdns1.1 \
	tcliis1.0 \
	tkblt3.0 \
	tkmacosx1.0 \
	tkmpeg1.0 \
	win \
	tests \
	doc \
	cmaps \
	template \
	src \
	msgs \
	ds9 \
	util \
	compilers \
	$(ZVFSDIR)/Makefile \
	$(WCSSUBSDIR)/Makefile \
	$(RICEDIR)/Makefile \
	$(HCOMPRESSDIR)/Makefile \
	$(PLIODIR)/Makefile

#--------------------------build

include Makefile.$(OS)

doc	: FORCE
	@echo "Making Documentation..."
	cd $(DOCDIR); $(MAKE)

#--------------------------language

language: FORCE
	grep 'msgcat::mc' src/*.tcl | tclsh8.6 util/mergedict.tcl da iso8859-1
	grep 'msgcat::mc' src/*.tcl | tclsh8.6 util/mergedict.tcl de iso8859-1
	grep 'msgcat::mc' src/*.tcl | tclsh8.6 util/mergedict.tcl es iso8859-1
	grep 'msgcat::mc' src/*.tcl | tclsh8.6 util/mergedict.tcl fr iso8859-1
	grep 'msgcat::mc' src/*.tcl | tclsh8.6 util/mergedict.tcl pt iso8859-1
	grep 'msgcat::mc' src/*.tcl | tclsh8.6 util/mergedict.tcl cs iso8859-2
	grep 'msgcat::mc' src/*.tcl | tclsh8.6 util/mergedict.tcl ja euc-jp
	grep 'msgcat::mc' src/*.tcl | tclsh8.6 util/mergedict.tcl zh big5

#--------------------------items

dirs	: FORCE
	@echo "Installing Directories..."
	@for d in $(DIRS); do if [ ! -d $$d ]; then mkdir $$d; fi done

tkcon	: FORCE
	@echo "Installing TkCon..."
	$(RM) -r lib/$(TKCONVER)
	mkdir lib/$(TKCONVER)
	cp $(TKCONDIR)/*.tcl lib/$(TKCONVER)

xmlrpc	: FORCE
	@echo "Installing XMLRPC..."
	$(RM) -r lib/$(XMLRPCVER)
	mkdir lib/$(XMLRPCVER)
	cp $(XMLRPCDIR)/xmlrpc.tcl lib/$(XMLRPCVER)

zlib  : FORCE
	@echo "Installing zlib..."
	cd $(ZLIBDIR); CC='$(CC)' CFLAGS='$(OPTS)' \
	./configure --prefix $(root) --static
	$(MAKE) -C $(ZLIBDIR) -j $(JOBS) install

libtiff	: FORCE
	@echo "Installing LIBTIFF..."
	cd $(TKIMGDIR)/compat/libtiff; CC='$(CC)' CFLAGS='$(OPTS)' CXX='$(CC)' \
	CXXFLAGS='$(OPTS)' \
	./configure --prefix $(root) --disable-shared
	$(MAKE) -C $(TKIMGDIR)/compat/libtiff -j $(JOBS) install

$(HTMLDIR) : FORCE
	mkdir $(HTMLDIR)

xpa	: FORCE
	@echo "Installing XPA..."
	cd $(XPADIR); CC='$(CC)' CFLAGS='$(OPTS)' \
	./configure \
	--prefix $(root) \
	--disable-shared \
	--with-tcl=$(root)/$(TCLDIRDIR) \
	$(XPAFLAGS)
	$(MAKE) -C $(XPADIR) -j $(JOBS) install
	cd bin; strip xpa*

signal: FORCE
	@echo "Installing Signal..."
	$(MAKE) -C $(SIGNALDIR) -j $(JOBS) install

funtools: FORCE
	@echo "Installing Funtools..."
	cd $(FUNTOOLSDIR); CC='$(CC)' CFLAGS='$(OPTS)' \
	./configure \
	--prefix $(root) \
	--with-wcslib=../lib/libwcs.a \
	--enable-mainlib $(FUNTOOLSFLAGS)
	$(MAKE) -C $(FUNTOOLSDIR) lib
	cp $(FUNTOOLSDIR)/libfuntools.a lib/.

ast	: FORCE
	@echo "Installing AST..."
	cd $(ASTDIR); CC='$(CC)' CFLAGS='$(OPTS) -I.' \
	./configure \
	--enable-shared=no \
	--prefix=$(root) \
	$(ASTFLAGS)
	$(MAKE) -C $(ASTDIR) -j $(JOBS) ast.h install-libLTLIBRARIES \
	install-nodist_includeHEADERS install-includeHEADERS

wcssubs	: FORCE
	@echo "Installing WCSSUBS..."
	$(MAKE) -C $(WCSSUBSDIR) -j $(JOBS) install

rice	: FORCE
	@echo "Installing RICE..."
	$(MAKE) -C $(RICEDIR) -j $(JOBS) install

hcompress: FORCE
	@echo "Installing HCOMPRESS..."
	$(MAKE) -C $(HCOMPRESSDIR) -j $(JOBS) install

plio: FORCE
	@echo "Installing PLIO..."
	$(MAKE) -C $(PLIODIR) -j $(JOBS) install

saotk	: FORCE
	@echo "Installing SAOTK..."
	$(MAKE) -C $(SAOTKDIR) -j $(JOBS) install

zvfs	: FORCE
	@echo "Installing ZVFS..."
	$(MAKE) -C $(ZVFSDIR) install

ds9	: scrub
	@echo "Making DS9..."
	$(MAKE) -C $(DS9DIR)

debug	: FORCE
	@echo "Making DS9..."
	$(MAKE) -C $(DS9DIR) debug

distsource : FORCE
	@echo "Creating Source Distribution"
	rm -rf dist/saods9
	cd dist; cvs export -Dtoday saods9
	cd dist/saods9; rm -rf notes mods admin
	cd dist; tar cvf - saods9 | gzip > ds9.$(DS9VERSION).tar.gz
	rm -rf dist/saods9
	scp dist/ds9.$(DS9VERSION).tar.gz $(USER)@$(DEST):build/source/.

#--------------------------clean

scrub : FORCE
	find . -name "*[~#]" -exec rm {} \;
ifeq ($(OS),windows)
	find . -name "*stackdump*" -exec rm {} \;
endif

clean: FORCE

filesclean: FORCE
	$(RM) core *~ *#

dirsclean: FORCE
	@for d in $(DIRS); do rm -rf $$d; done

tclclean : FORCE
	$(MAKE) -C $(TCLDIRDIR) distclean

tkclean : FORCE
	$(MAKE) -C $(TKDIRDIR) distclean

tktableclean: FORCE
	$(MAKE) -C $(TKTABLEDIR) distclean

tkbltclean: FORCE
	$(MAKE) -C $(TKBLTDIR) distclean

zlibclean: FORCE
	$(MAKE) -C $(ZLIBDIR) distclean

tclxmlclean: FORCE
	$(MAKE) -C $(TCLXMLDIR) distclean

tkimgclean: libtiffclean
	rm -fr $(TKIMGDIR)/Img/*
	rm -fr $(LIB)/Img1.*
	$(MAKE) -C $(TKIMGDIR) distclean

libtiffclean: FORCE
	$(MAKE) -C $(TKIMGDIR)/compat/libtiff distclean

tkmpegclean: FORCE
	$(MAKE) -C $(TKMPEGDIR) distclean

tkhtmlclean: FORCE
#	cd $(HTMLDIR); $(MAKE) distclean
	rm -rf $(HTMLDIR)

xpaclean : FORCE
	$(MAKE) -C $(XPADIR) distclean

tcliisclean : FORCE
	$(MAKE) -C $(TCLIISDIR) distclean

tclcheckdnsclean : FORCE
	$(MAKE) -C $(TCLCHECKDNSDIR) distclean

signalclean : FORCE
	$(MAKE) -C $(SIGNALDIR) distclean

funtoolsclean: FORCE
	$(MAKE) -C $(FUNTOOLSDIR) distclean

astclean: FORCE
	$(MAKE) -C $(ASTDIR) distclean

wcssubsclean: FORCE
	$(MAKE) -C $(WCSSUBSDIR) distclean

riceclean: FORCE
	$(MAKE) -C $(RICEDIR) distclean

hcompressclean: FORCE
	$(MAKE) -C $(HCOMPRESSDIR) distclean

plioclean: FORCE
	$(MAKE) -C $(PLIODIR) distclean

saotkclean : FORCE
	$(MAKE) -C $(SAOTKDIR) distclean

zvfsclean: FORCE
	$(MAKE) -C $(ZVFSDIR) distclean

ds9clean : FORCE
	$(MAKE) -C $(DS9DIR) distclean

srcclean : FORCE
	$(MAKE) -C $(SRCDIR) distclean

#--------------------------cvs

commit : FORCE
	cvs commit -m "" $(CVSFILES)

update : FORCE
	cvs update $(CVSFILES)

FORCE	:

=== ds9/Makefile ===
include ../make.include
include ../make.pkgs

include Makefile.$(OS)

#--------------------------support

ds9.C	: ds9.$(OS)
	cp ds9.$(OS) ds9.C

$(MAIN).o : $(MAIN).c
	$(CC) $(CFLAGS) -DTK_LOCAL_APPINIT=SAOAppInit \
	-DTK_LOCAL_MAIN_HOOK=SAOLocalMainHook -c $(MAIN).c -o $@

$(MAIN).c : $(MAINDIR)/$(MAIN).c
	cp $(MAINDIR)/$(MAIN).c .

#--------------------------cleanup

clean	: FORCE
	$(RM) core *~ *# 

FORCE	:

=== hcompress/Makefile ===
include ../make.include

# no ./configure
CFLAGS	= $(CCOPT) -I.

SRC	= hdecompress.c

OBJS	= $(SRC:%.c=%.o)
LIB	= libhcomp.a

$(LIB)	: $(OBJS)
	$(RM) $@
	$(AR) -cr $@ $(OBJS)

install	: $(LIB)
	cp $(LIB) ../lib/.

clean	: FORCE
	rm -f core *~ *#

distclean : clean
	rm -f *.o *.a *.so

FORCE	:

=== plio/Makefile ===
include ../make.include

# no ./configure
CFLAGS	= $(CCOPT) -I.

SRC	= pliocomp.c

OBJS	= $(SRC:%.c=%.o)
LIB	= libplio.a

$(LIB)	: $(OBJS)
	$(RM) $@
	$(AR) -cr $@ $(OBJS)

install	: $(LIB)
	cp $(LIB) ../lib/.

clean	: FORCE
	rm -f core *~ *#

distclean : clean
	rm -f *.o *.a *.so

FORCE	:

=== rice/Makefile ===
include ../make.include

# no ./configure
CFLAGS	= $(CCOPT) -I.

SRC	= ricecomp.c

OBJS	= $(SRC:%.c=%.o)
LIB	= librice.a

$(LIB)	: $(OBJS)
	$(RM) $@
	$(AR) -cr $@ $(OBJS)

install	: $(LIB)
	cp $(LIB) ../lib/.

clean	: FORCE
	rm -f core *~ *#

distclean : clean
	rm -f *.o *.a *.so

FORCE	:

=== src/Makefile ===
include ../make.include

SCRIPTS = \
	2mass.tcl \
	3d.tcl \
	array.tcl \
	analysis.tcl \
	analysisparam.tcl \
	annulus.tcl \
	ar.tcl \
	backup.tcl \
	bin.tcl \
	box.tcl \
	boxannulus.tcl \
	bpanda.tcl \
	buttons.tcl \
	cat.tcl \
	catcds.tcl \
	catcdssrch.tcl \
	catcdssrchdialog.tcl \
	catcmd.tcl \
	catcxc.tcl \
	catdialog.tcl \
	catflt.tcl \
	catmatch.tcl \
	catned.tcl \
	catopt.tcl \
	catplot.tcl \
	catreg.tcl \
	catsdss.tcl \
	catsimbad.tcl \
	catskybot.tcl \
	catsym.tcl \
	cattsv.tcl \
	catvot.tcl \
	centroid.tcl \
	circle.tcl \
	colorbar.tcl \
	comm.tcl \
	command.tcl \
	compass.tcl \
	composite.tcl \
	contour.tcl \
	convert.tcl \
	coord.tcl \
	cpanda.tcl \
	crop.tcl \
	crosshair.tcl \
	cube.tcl \
	debug.tcl \
	dialog.tcl \
	ellipse.tcl \
	ellipseannulus.tcl \
	envi.tcl \
	epanda.tcl \
	error.tcl \
	eso.tcl \
	examine.tcl \
	export.tcl \
	external.tcl \
	file.tcl \
	fits.tcl \
	frame.tcl \
	graph.tcl \
	grid.tcl \
	group.tcl \
	header.tcl \
	help.tcl \
	http.tcl \
	hv.tcl \
	hvform.tcl \
	hvsup.tcl \
	iis.tcl \
	imexam.tcl \
	imgsvr.tcl \
	import.tcl \
	info.tcl \
	layout.tcl \
	line.tcl \
	load.tcl \
	magnifier.tcl \
	marker.tcl \
	markeranalysispanda.tcl \
	markeranalysisplot2d.tcl \
	markeranalysisplot3d.tcl \
	markeranalysisradial.tcl \
	markeranalysisstats.tcl \
	markerbase.tcl \
	markerbaseannulus.tcl \
	markerbaseannulusrect.tcl \
	markerbasecenter.tcl \
	markerbaseline.tcl \
	markerbasepanda.tcl \
	markerbasepandarect.tcl \
	markerdialog.tcl \
	mask.tcl \
	manalysis.tcl \
	mbin.tcl \
	mcolor.tcl \
	mecube.tcl \
	medit.tcl \
	menu.tcl \
	mfile.tcl \
	mframe.tcl \
	mhelp.tcl \
	macosx.tcl \
	macosxextra.tcl \
	mosaicimage.tcl \
	mosaicimageiraf.tcl \
	mosaicimagewcs.tcl \
	mosaicimagewfpc2.tcl \
	mosaic.tcl \
	mosaiciraf.tcl \
	mosaicwcs.tcl \
	movie.tcl \
	mregion.tcl \
	mscale.tcl \
	multiframe.tcl \
	mview.tcl \
	mwcs.tcl \
	mzoom.tcl \
	nameres.tcl \
	nrrd.tcl \
	nsvr.tcl \
	nvss.tcl \
	pagesetup.tcl \
	panner.tcl \
	panzoom.tcl \
	pixel.tcl \
	photo.tcl \
	plot.tcl \
	plotbar.tcl \
	plotdialog.tcl \
	plotelement.tcl \
	plotline.tcl \
	plotprint.tcl \
	plotprocess.tcl \
	plotscatter.tcl \
	point.tcl \
	polygon.tcl \
	prefs.tcl \
	prefsdialog.tcl \
	print.tcl \
	projection.tcl \
	open.tcl \
	rgb.tcl \
	rgbarray.tcl \
	rgbcube.tcl \
	rgbimage.tcl \
	ruler.tcl \
	samp.tcl \
	sao.tcl \
	save.tcl \
	saveimage.tcl \
	scale.tcl \
	segment.tcl \
	sfits.tcl \
	shm.tcl \
	skyview.tcl \
	slider.tcl \
	smosaic.tcl \
	smosaiciraf.tcl \
	smosaicwcs.tcl \
	smooth.tcl \
	source.tcl \
	srgbcube.tcl \
	starbase.tcl \
	stdfbox.tcl \
	stsci.tcl \
	template.tcl \
	text.tcl \
	tkfbox.tcl \
	url.tcl \
	util.tcl \
	var.tcl \
	vector.tcl \
	vla.tcl \
	vo.tcl \
	wcs.tcl \
	win32.tcl \
	xmfbox.tcl \
	xpa.tcl

msgs	: FORCE
	grep 'msgcat::mc' $(SCRIPTS) | cut -d[ -f2 | sed -e 's/::mc/::mcset AAA /' -e 's/]/ ""/' | sort | uniq > ../msgs/tmpl.tcl

clean	: FORCE
	$(RM) core *~ *# 

distclean : clean

FORCE	:

=== saotk/colorbar/Makefile ===
include ../../make.include

CXXFLAGS = $(CXXOPT) \
	-I. -I.. -I../widget -I../vector -I../list -I../util \
	-I../../include -I$(X11INCLUDE)

SRC	= \
	cbgrid.C \
	colorbarbase.C \
	colorbar.C \
	colortag.C \
	colorbartrue.C \
	colorbartruecolor.C \
	colorbartruecolor8.C \
	colorbartruecolor16.C \
	colorbartruecolor24.C \
	colorbarrgb.C \
	colorbarrgbtruecolor.C \
	colorbarrgbtruecolor8.C \
	colorbarrgbtruecolor16.C \
	colorbarrgbtruecolor24.C \
	colormap.C \
	lut.C \
	sao.C \
	default.C \
	parser.C \
	lex.C \
	lutparser.C \
	lutlex.C \
	saoparser.C \
	saolex.C

INCLS	= $(wildcard *.h)
OBJS	= $(SRC:%.C=%.o)

all	: $(OBJS)

clean	: FORCE
	rm -f core *~ *#

distclean : clean
	rm -f *.o parser.output lutparser.output saoparser.output

parsers	: parser lutparser saoparser

parser	: FORCE
	bison -d -p cb -o parser.C parser.Y
	flex -Pcb -olex.C lex.L

lutparser: FORCE
	bison -d -p rgb -o lutparser.C lutparser.Y
	flex -Prgb -olutlex.C lutlex.L

saoparser: FORCE
	bison -d -p li -o saoparser.C saoparser.Y
	flex -Pli -osaolex.C saolex.L

FORCE	:

=== saotk/fitsy++/Makefile ===
include ../../make.include
include ../../make.pkgs

CXXFLAGS = $(CXXOPT) -I. -I.. -I../vector -I../util \
	-I../../include -I$(X11INCLUDE) \
	-I../../$(FUNTOOLSDIR)/filter -I../../$(FUNTOOLSDIR)/fitsy \
	-I../../$(FUNTOOLSDIR)/util

SS	= \
	alloc.C \
	allocgz.C \
	analysis.C \
	card.C \
	channel.C \
	column.C \
	compress.C \
	envi.C \
	gzip.C \
	iis.C \
	hcompress.C \
	hdu.C \
	head.C \
	hist.C \
	hpx.C \
	file.C \
	map.C \
	mapincr.C \
	mmap.C \
	mmapincr.C \
	nrrd.C \
	nrrdgzip.C \
	outchannel.C \
	outfile.C \
	outfits.C \
	outsocket.C \
	photo.C \
	plio.C \
	rice.C \
	savefits.C \
	share.C \
	sshare.C \
	smap.C \
	smmap.C \
	socket.C \
	socketgz.C \
	strm.C \
	var.C

SRC	= $(SS) \
	parser.C \
	lex.C \
	nrrdparser.C \
	nrrdlex.C \
	enviparser.C \
	envilex.C

INCLS	= $(wildcard *.h)
OBJS	= $(SRC:%.C=%.o)

all	: $(OBJS)

clean	: FORCE
	rm -f core *~ *#

distclean : clean
	rm -f *.o parser.output nrrdparser.output enviparser.output

parsers	: parser nrrdparser enviparser

parser	: FORCE
	bison -d -p ff -o parser.C parser.Y
	flex -Pff -olex.C lex.L

nrrdparser : FORCE
	bison -d -p nrrd -o nrrdparser.C nrrdparser.Y
	flex -Pnrrd -onrrdlex.C nrrdlex.L

enviparser : FORCE
	bison -d -p envi -o enviparser.C enviparser.Y
	flex -Penvi -oenvilex.C envilex.L

shmload	: shmload.C
	$(RM) $@
	$(CXX) $(CXXOPT) -o $@ $<
	cp $@ ../../bin/.

FORCE	:

=== saotk/frame/Makefile ===
include ../../make.include
include ../../make.pkgs

CXXFLAGS = $(CXXOPT) -w \
	-I. -I.. -I../widget -I../vector -I../list -I../fitsy++ -I../util \
	-I../../include -I$(X11INCLUDE) \
	-I../../$(FUNTOOLSDIR)/util \
	-I/usr/include/libxml2 \
	-I../../$(ASTDIR)

SRC	= \
	annulus.C \
	base.C \
	basecommand.C \
	basebox.C \
	baseellipse.C \
	baseline.C \
	basemarker.C \
	basepanda.C \
	box.C \
	boxannulus.C \
	bpanda.C \
	callback.C \
	circle.C \
	colorscale.C \
	colorscalergb.C \
	colorscaletrue8.C \
	colorscaletrue16.C \
	colorscaletrue24.C \
	colorscaletrue32.C \
	compass.C \
	composite.C \
	context.C \
	contour.C \
	coord.C \
	cpanda.C \
	ellipse.C \
	ellipseannulus.C \
	epanda.C \
	fitsanalysis.C \
	fitsbin.C \
	fitscompress.C \
	fitsdata.C \
	fitsenvi.C \
	fitshealpix.C \
	fitsimage.C \
	fitsmask.C \
	fitsmap.C \
	fitsnrrd.C \
	frame.C \
	frame3d.C \
	framebase.C \
	frame3dbase.C \
	framergb.C \
	framergbtruecolor.C \
	framergbtruecolor8.C \
	framergbtruecolor16.C \
	framergbtruecolor24.C \
	frametrue.C \
	frame3dtrue.C \
	frametruecolor.C \
	frame3dtruecolor.C \
	frametruecolor8.C \
	frametruecolor16.C \
	frametruecolor24.C \
	frame3dtruecolor8.C \
	frame3dtruecolor16.C \
	frame3dtruecolor24.C \
	frblt.C \
	frcommand.C \
	fr3dcommand.C \
	frload.C \
	frmap.C \
	fr3dmap.C \
	frmarker.C \
	frmarkerxml.C \
	frsave.C \
	frscale.C \
	fvcontour.C \
	grid.C \
	grid2d.C \
	grid25d.C \
	grid3d.C \
	inversescale.C \
	line.C \
	marker.C \
	point.C \
	polygon.C \
	projection.C \
	raytrace.C \
	ruler.C \
	segment.C \
	tag.C \
	text.C \
	vect.C \
	ciaoparser.C \
	ciaolex.C \
	ds9parser.C \
	ds9lex.C \
	parser.C \
	lex.C \
	prosparser.C \
	proslex.C \
	saoparser.C \
	saolex.C \
	tngparser.C \
	tnglex.C \
	xyparser.C \
	xylex.C

INCLS	= $(wildcard *.h)
OBJS	= $(SRC:%.C=%.o)

all	: $(OBJS)

clean	: FORCE
	rm -f core *~ *#

distclean : clean
	rm -f *.o parser.output ds9parser.output ciaoparser.output prosparser.output tngparser.output saoparser.output xyparser.output

parsers	: ciaoparser ds9parser parser prosparser saoparser tngparser xyparser

ciaoparser : FORCE
	bison -d -p ciao -o ciaoparser.C ciaoparser.Y
	flex -Pciao -ociaolex.C ciaolex.L

ds9parser : FORCE
	bison -d -p mk -o ds9parser.C ds9parser.Y
	flex -Pmk -ods9lex.C ds9lex.L

parser : FORCE
	bison -d -p fr -o parser.C parser.Y
	flex -Pfr -olex.C lex.L

prosparser : FORCE
	bison -d -p pros -o prosparser.C prosparser.Y
	flex -Ppros -oproslex.C proslex.L

saoparser : FORCE
	bison -d -p sao -o saoparser.C saoparser.Y
	flex -Psao -osaolex.C saolex.L

tngparser : FORCE
	bison -d -p tng -o tngparser.C tngparser.Y
	flex -Ptng -otnglex.C tnglex.L

xyparser : FORCE
	bison -d -p xy -o xyparser.C xyparser.Y
	flex -Pxy -oxylex.C xylex.L

FORCE	:

=== saotk/list/Makefile ===
include ../../make.include

CXXFLAGS = $(CXXOPT) \
	-I. -I../vector -I../frame -I../colorbar -I../../include -I$(X11INCLUDE)

SRC	= list.C

INCLS	= $(wildcard *.h)
OBJS	= $(SRC:%.C=%.o)

all	: $(OBJS)

clean	: FORCE
	rm -f core *~ *#

distclean : clean
	rm -f *.o $(LIB)

FORCE	:

=== saotk/magnifier/Makefile ===
include ../../make.include

CXXFLAGS = $(CXXOPT) \
	-I. -I.. -I../widget -I../vector -I../util \
	-I../../include -I$(X11INCLUDE)

SRC	= \
	magnifier.C \
	magnifiertrue.C \
	parser.C \
	lex.C

INCLS	= $(wildcard *.h)
OBJS	= $(SRC:%.C=%.o)

all	: $(OBJS)

clean	: FORCE
	rm -f core *~ *#

distclean : clean
	rm -f *.o $(LIB) parser.output

parsers	: parser

parser	: FORCE
	bison -d -p mg -o parser.C parser.Y
	flex -Pmg -olex.C lex.L

FORCE	:

=== saotk/panner/Makefile ===
include ../../make.include

CXXFLAGS = $(CXXOPT) \
	-I. -I.. -I../widget -I../vector -I../util \
	-I../../include -I$(X11INCLUDE)

SRC	= \
	panner.C \
	pannertrue.C \
	parser.C \
	lex.C

INCLS	= $(wildcard *.h)
OBJS	= $(SRC:%.C=%.o)

all	: $(OBJS)

clean	: FORCE
	rm -f core *~ *#

distclean : clean
	rm -f *.o $(LIB) parser.output

parsers	: parser

parser	: FORCE
	bison -d -p pn -o parser.C parser.Y
	flex -Ppn -olex.C lex.L

FORCE	:

=== debian/changelog ===
saods9 (7.3.2+repack-3) unstable; urgency=low

  * Add CI tests (ds9 with and without XPA)
  * Remove unuspported BLT calls. Closes: #792122

 -- Ole Streicher <olebole@debian.org>  Sun, 12 Jul 2015 10:00:32 +0200

saods9 (7.3.2+repack-2) unstable; urgency=low

  * Create upstream/metadata with bibliographic information
  * Add simple test (ds9 -quit)

 -- Ole Streicher <olebole@debian.org>  Sun, 26 Apr 2015 14:41:18 +0200

saods9 (7.3.2+repack-1) unstable; urgency=low

  * Remove private BLT lib
  * Change version suffix to +repack since the upstream repackaging
    is not done anymore due to DFSG cleanup

 -- Ole Streicher <olebole@debian.org>  Sun, 19 Oct 2014 20:25:22 +0200

saods9 (7.3.2+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Ole Streicher <olebole@debian.org>  Wed, 08 Oct 2014 17:14:53 +0200

saods9 (7.3.1+dfsg-1) unstable; urgency=low

  * New upstream version.

 -- Ole Streicher <olebole@debian.org>  Tue, 07 Oct 2014 14:47:07 +0200

saods9 (7.3+dfsg-1) unstable; urgency=low

  * New upstream version. Move back to unstable.
  * Update config.{sub,guess} for the AArch64 port.
  * Change maintainer and VCS to debian-astro
  * Update uploaders e-mail address
  * Update standards version to 3.9.6. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Thu, 02 Oct 2014 10:47:04 +0200

saods9 (7.3~b5+dfsg-1~exp1) experimental; urgency=low

  * New (beta) upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Sun, 03 Nov 2013 20:38:15 +0100

saods9 (7.3~b4+dfsg-1~exp1) experimental; urgency=low

  * New (beta) upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Sat, 26 Oct 2013 18:05:10 +0200

saods9 (7.3~b3+dfsg-1~exp3) experimental; urgency=low

  * Changelog update :-) Remove mixing of 7.2 and 7.3~b3

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 30 Sep 2013 16:32:45 +0200

saods9 (7.3~b3+dfsg-1~exp2) experimental; urgency=low

  * Re-create configure scripts. Fixes FTBS on MIPS.

 -- Ole Streicher <debian@liska.ath.cx>  Sat, 28 Sep 2013 15:40:07 +0200

saods9 (7.3~b3+dfsg-1~exp1) experimental; urgency=low

  * New (beta) upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 26 Sep 2013 19:14:34 +0200

saods9 (7.3~b2+dfsg-1~exp1) experimental; urgency=low

  * New (beta) upstream version

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 01 Aug 2013 21:46:38 +0200

=== debian/control ===
Source: saods9
Section: science
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: autotools-dev,
               blt-dev (>= 2.5.3),
               cpio,
               debhelper (>= 9),
               dh-autoreconf,
               html2text,
               libfuntools-dev,
               libstarlink-ast-dev (>= 7.0.4),
               libtk-img-dev,
               libwcstools-dev,
               libxml2-dev,
               libxrandr-dev,
               libxt-dev,
               perl,
               tcl-signal,
               tcl-xpa,
               tcl8.6-dev,
               tcllib,
               tclxml,
               tk-table (>= 2.9),
               tk8.6-dev,
               tkcon,
               xauth,
               xvfb,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://ds9.si.edu/
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/saods9.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/saods9.git

Package: saods9
Architecture: any
Depends: blt (>= 2.5.3),
         libtk-img,
         saods9-data (= ${source:Version}),
         tcl-signal,
         tcl-xpa,
         tcllib,
         tclxml,
         tk-table (>= 2.9),
         tkcon,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: saods9-doc
Suggests: python-pyds9, xpa-tools
Description: Image display tool for astronomy
 SAOImage DS9 is an astronomical imaging and data visualization
 application. DS9 supports FITS images and binary tables, multiple frame
 buffers, region manipulation, and many scale algorithms and colormaps. It
 provides for easy communication with external analysis tasks and is highly
 configurable and extensible via XPA and SAMP.
 .
 All versions and platforms support a consistent set of GUI and
 functional capabilities.
 .
 DS9 supports advanced features such as 2-D, 3-D and RGB frame buffers, mosaic
 images, tiling, blinking, geometric markers, colormap manipulation, scaling,
 arbitrary zoom, cropping, rotation, pan, and a variety of coordinate
 systems.
 .
 The GUI for DS9 is user configurable. GUI elements such as the coordinate
 display, panner, magnifier, horizontal and vertical graphs, button bar, and
 color bar can be configured via menus or the command line.

Package: saods9-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Image display tool for astronomy (help files/documentation)
 SAOImage DS9 is an astronomical imaging and data visualization
 application. DS9 supports FITS images and binary tables, multiple frame
 buffers, region manipulation, and many scale algorithms and colormaps. It
 provides for easy communication with external analysis tasks and is highly
 configurable and extensible via XPA and SAMP.
 .
 This package contains the documentation and help pages.

Package: saods9-data
Architecture: all
Depends: ${misc:Depends}
Description: Image display tool for astronomy (shared data)
 SAOImage DS9 is an astronomical imaging and data visualization
 application. DS9 supports FITS images and binary tables, multiple frame
 buffers, region manipulation, and many scale algorithms and colormaps. It
 provides for easy communication with external analysis tasks and is highly
 configurable and extensible via XPA and SAMP.
 .
 This package contains the architecture independent files.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILDPARTS:=dirs tclcheckdns tkmpeg tkhtml tcliis rice hcompress plio xmlrpc saotk ds9

get-orig-source:
	sh ./debian/repack.sh

%:
	dh $@ --with autoreconf,autotools_dev

make.include:
	ln -sf make.linux make.include

override_dh_autoreconf:
	(cd htmlwidget; autoreconf -i -f)
	(cd tkmpeg1.0; autoreconf -i -f)
	(cd tcliis1.0; autoreconf -i -f)
	(cd tclcheckdns1.1; autoreconf -i -f)

override_dh_auto_build: make.include
	dh_auto_build -- $(BUILDPARTS)
	cp xmlrpc-0.3/xmlrpc.tcl ds9/zipdir/zvfsmntpt/src
	chmod ugo-x ds9/zipdir/zvfsmntpt/src/*.tcl
	perl -w debian/generate-man > ds9/ds9.1

override_dh_auto_test:
	DS9_HOME=ds9/zipdir/zvfsmntpt \
	xvfb-run --server-args="-screen 0 1024x768x24" \
	./bin/ds9 -quit

override_dh_installchangelogs:
	dh_installchangelogs doc/release/r7.0.html

override_dh_auto_clean: make.include
	dh_auto_clean

=== debian/tests/control ===
Tests: saods9
Depends: saods9, xauth, xpa-tools, xvfb

Tests: saods9-xpa
Depends: saods9, xauth, xpa-tools, xvfb

=== debian/watch ===
version=3
#opts=dversionmangle=s/\+repack//,uversionmangle=s/(.+)([ab].+)/$1~$2/ \
#    http://ds9.si.edu/site/Beta.html \
opts=dversionmangle=s/\+repack// \
    http://ds9.si.edu/site/Download.html \
    http://ds9.si.edu/.+/source/ds9\.(.*)\.tar\.gz \
    debian \
    debian/repack.sh

## saods9 7.4+repack

=== ds9/library/Makefile ===
SCRIPTS = \
	2mass.tcl \
	3d.tcl \
	array.tcl \
	analysis.tcl \
	analysisparam.tcl \
	annulus.tcl \
	ar.tcl \
	backup.tcl \
	bin.tcl \
	box.tcl \
	boxannulus.tcl \
	bpanda.tcl \
	buttons.tcl \
	cat.tcl \
	catcds.tcl \
	catcdssrch.tcl \
	catcdssrchdialog.tcl \
	catcmd.tcl \
	catcxc.tcl \
	catdialog.tcl \
	catflt.tcl \
	catmatch.tcl \
	catned.tcl \
	catopt.tcl \
	catplot.tcl \
	catreg.tcl \
	catsdss.tcl \
	catsimbad.tcl \
	catskybot.tcl \
	catsym.tcl \
	cattsv.tcl \
	catvot.tcl \
	centroid.tcl \
	circle.tcl \
	colorbar.tcl \
	comm.tcl \
	command.tcl \
	compass.tcl \
	composite.tcl \
	contour.tcl \
	convert.tcl \
	coord.tcl \
	cpanda.tcl \
	crop.tcl \
	crosshair.tcl \
	cube.tcl \
	debug.tcl \
	dialog.tcl \
	ellipse.tcl \
	ellipseannulus.tcl \
	envi.tcl \
	epanda.tcl \
	error.tcl \
	eso.tcl \
	examine.tcl \
	export.tcl \
	external.tcl \
	file.tcl \
	fits.tcl \
	frame.tcl \
	graph.tcl \
	grid.tcl \
	group.tcl \
	header.tcl \
	help.tcl \
	http.tcl \
	hv.tcl \
	hvform.tcl \
	hvsup.tcl \
	iis.tcl \
	imexam.tcl \
	imgsvr.tcl \
	import.tcl \
	info.tcl \
	layout.tcl \
	line.tcl \
	load.tcl \
	magnifier.tcl \
	marker.tcl \
	markeranalysispanda.tcl \
	markeranalysisplot2d.tcl \
	markeranalysisplot3d.tcl \
	markeranalysisradial.tcl \
	markeranalysisstats.tcl \
	markerbase.tcl \
	markerbaseannulus.tcl \
	markerbaseannulusrect.tcl \
	markerbasecenter.tcl \
	markerbaseline.tcl \
	markerbasepanda.tcl \
	markerbasepandarect.tcl \
	markerdialog.tcl \
	mask.tcl \
	manalysis.tcl \
	mbin.tcl \
	mcolor.tcl \
	mecube.tcl \
	medit.tcl \
	menu.tcl \
	mfile.tcl \
	mframe.tcl \
	mhelp.tcl \
	macosx.tcl \
	macosxextra.tcl \
	mosaicimage.tcl \
	mosaicimageiraf.tcl \
	mosaicimagewcs.tcl \
	mosaicimagewfpc2.tcl \
	mosaic.tcl \
	mosaiciraf.tcl \
	mosaicwcs.tcl \
	movie.tcl \
	mregion.tcl \
	mscale.tcl \
	multiframe.tcl \
	mview.tcl \
	mwcs.tcl \
	mzoom.tcl \
	nameres.tcl \
	nrrd.tcl \
	nsvr.tcl \
	nvss.tcl \
	pagesetup.tcl \
	panner.tcl \
	panzoom.tcl \
	pixel.tcl \
	photo.tcl \
	plot.tcl \
	plotbar.tcl \
	plotdialog.tcl \
	plotelement.tcl \
	plotline.tcl \
	plotprint.tcl \
	plotprocess.tcl \
	plotscatter.tcl \
	point.tcl \
	polygon.tcl \
	prefs.tcl \
	prefsdialog.tcl \
	print.tcl \
	projection.tcl \
	open.tcl \
	rgb.tcl \
	rgbarray.tcl \
	rgbcube.tcl \
	rgbimage.tcl \
	ruler.tcl \
	samp.tcl \
	sao.tcl \
	save.tcl \
	saveimage.tcl \
	scale.tcl \
	segment.tcl \
	sfits.tcl \
	shm.tcl \
	skyview.tcl \
	slider.tcl \
	smosaic.tcl \
	smosaiciraf.tcl \
	smosaicwcs.tcl \
	smooth.tcl \
	source.tcl \
	srgbcube.tcl \
	starbase.tcl \
	stdfbox.tcl \
	stsci.tcl \
	template.tcl \
	text.tcl \
	tkfbox.tcl \
	url.tcl \
	util.tcl \
	var.tcl \
	vector.tcl \
	vla.tcl \
	vo.tcl \
	wcs.tcl \
	win32.tcl \
	xmfbox.tcl \
	xpa.tcl

msgs	: FORCE
	grep 'msgcat::mc' $(SCRIPTS) | cut -d[ -f2 | sed -e 's/::mc/::mcset AAA /' -e 's/]/ ""/' | sort | uniq > ../msgs/tmpl.tcl

clean	: FORCE
	$(RM) core *~ *# 

distclean : clean

FORCE	:

=== ds9/win/Makefile ===
include ../../make.pkgs

#--------------------------defines

CFLAGS= -g -DSTATIC_BUILD -mnop-fun-dllimport -D_GNU_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -I. -I../../include -I../../include/X11
CXXFLAGS = $(CFLAGS)

OBJS	= ds9.o winMain.o ds9.res.o

ZDIR	= zipdir/zvfsmntpt
FFILES	= \
	$(ZDIR)/$(TCLVER) \
	$(ZDIR)/tcl8 \
	$(ZDIR)/$(TKVER) \
	$(ZDIR)/$(TKBLTDIR) \
	$(ZDIR)/$(TCLLIBVER) \
	$(ZDIR)/$(TKCONVER) \
	$(ZDIR)/$(XMLRPCVER) \
	$(ZDIR)/library \
	$(ZDIR)/msgs \
	$(ZDIR)/doc \
	$(ZDIR)/cmaps \
	$(ZDIR)/template

ifdef FILTERCOMPILER
	FILES = $(FFILES) $(ZDIR)/$(FILTERCOMPILER)
else
	FILES = $(FFILES)
endif

LIBS	= \
	../../lib/$(TKSAODIR)/libtksao10.a \
	../../lib/$(TKSAODIR)/libfuntools.a \
	../../lib/$(TKSAODIR)/libast.a \
	../../lib/$(TKSAODIR)/libast_err.a \
	../../lib/$(TKSAODIR)/libast_pal.a \
	../../lib/$(TKHTMLDIR)/libtkhtml10.a \
	../../lib/$(TKMPEGDIR)/libtkmpeg10.a \
	../../lib/$(TCLXMLVER)/Tclxml32.a \
	../../lib/$(TKTABLEVER)/Tktable210.a \
	../../lib/$(TKIMGVER)/tkimgpng14.a \
	../../lib/$(TKIMGVER)/pngtcl143.a \
	../../lib/$(TKIMGVER)/tkimgtiff14.a \
	../../lib/$(TKIMGVER)/tifftcl394.a \
	../../lib/$(TKIMGVER)/tkimgjpeg14.a \
	../../lib/$(TKIMGVER)/jpegtcl82.a \
	../../lib/$(TKIMGVER)/tkimggif14.a \
	../../lib/$(TKIMGVER)/tkimgwindow14.a \
	../../lib/$(TKIMGVER)/zlibtcl125.a \
	../../lib/$(TKIMGVER)/tkimg14.a \
	../../lib/libtiff.a \
	../../lib/$(TCLZVFSDIR/libtclzvfs10.a \
	../../lib/libxpa.a \
	../../lib/$(TKBLTDIR)/libtkblt30.a \
	../../lib/libtk86.a \
	../../lib/libtkstub86.a \
	../../lib/libtcl86.a \
	../../lib/libtclstub86.a

#--------------------------main

all: ds9.exe

winMain.o : winMain.c
	$(CC) $(CFLAGS) -DTK_LOCAL_APPINIT=SAOAppInit \
	-DTK_LOCAL_MAIN_HOOK=SAOLocalMainHook -c winMain.c -o $@

winMain.c : ../../$(TKDIR)/winMain.c
	cp ../../$(TKDIR)/winMain.c .

ds9.exe	: ds9Base.exe ds9.zip ../../bin/tcc
	$(RM) $@
	strip ds9Base.exe
	cp ds9Base.exe ds9.exe
	cp ds9.exe ../../bin/.
	cp ds9.zip ../../bin/.

debug	: ds9Base.exe ds9.zip ../../bin/tcc
	$(RM) $@
	cp ds9Base.exe ds9.exe

ds9app	: ds9.exe
	$(RM) -r ../../bin/ds9app
	mkdir ../../bin/ds9app
	cp ds9.exe ../../bin/ds9app/.
	cp ds9.zip ../../bin/ds9app/.
	cp -rp ../../bin/tcc ../../bin/ds9app/.
	cp ../../ds9/install.vbs ../../bin/ds9app/.

ds9Base.exe: $(OBJS) $(LIBS)
	$(RM) $@
	$(CXX) ${OPTS} \
	-o $@ $(OBJS) $(LIBS) \
	-lxml2 -ljbig \
	-lws2_32 -limm32 -lcomctl32 -mwindows 

ds9.res.o: ds9.rc ds9.ico
	windres -o $@ --define STATIC_BUILD --include ../../$(TKDIR)/generic \
	--include ../../$(TCLDIR)/generic --include ../../$(TKDIR)/rc \
	--include win ds9.rc

../../bin/tcc: ../../compilers/$(TCC)
	$(RM) -r $@
	cd ../../bin; unzip ../../compilers/$(TCC)
	chmod +x ../../bin/tcc/tcc.exe
	touch $@

#--------------------------cleanup

clean	: FORCE
	cd ../library; $(MAKE) clean
	$(RM) core *~ *# 

distclean: FORCE
	cd ../library; $(MAKE) distclean
	$(RM) core *~ *# ds9Base.exe ds9.exe *.zip *.o
	$(RM) -r zipdir bin/tcc

FORCE	:

=== debian/changelog ===
saods9 (7.4+repack-1) unstable; urgency=low

  * New stable upstream version. Closes: #799841

 -- Ole Streicher <olebole@debian.org>  Tue, 29 Dec 2015 22:20:42 +0100

saods9 (7.4~b10+repack-1) unstable; urgency=low

  * Correct patch for IRAF communication. Closes: #805641
  * New upstream beta version

 -- Ole Streicher <olebole@debian.org>  Fri, 11 Dec 2015 09:55:33 +0100

saods9 (7.4~b9+repack-1) unstable; urgency=low

  * New upstream beta version

 -- Ole Streicher <olebole@debian.org>  Wed, 18 Nov 2015 10:34:39 +0100

saods9 (7.4~b8+repack-1) unstable; urgency=low

  * New upstream beta version

 -- Ole Streicher <olebole@debian.org>  Wed, 11 Nov 2015 13:01:08 +0100

saods9 (7.4~b7+repack-4) unstable; urgency=low

  * Use external xmlrpc instead of convenience copy

 -- Ole Streicher <olebole@debian.org>  Thu, 08 Oct 2015 12:55:37 +0200

saods9 (7.4~b7+repack-3) unstable; urgency=low

  * Update configure script to activate last fix

 -- Ole Streicher <olebole@debian.org>  Mon, 21 Sep 2015 10:17:35 +0200

saods9 (7.4~b7+repack-2) experimental; urgency=low

  * Fix build on kfreebsd and hurd

 -- Ole Streicher <olebole@debian.org>  Fri, 18 Sep 2015 21:13:32 +0200

saods9 (7.4~b7+repack-1) experimental; urgency=low

  * New upstream beta version

 -- Ole Streicher <olebole@debian.org>  Fri, 18 Sep 2015 13:15:53 +0200

saods9 (7.4~b6+repack-1) experimental; urgency=low

  * New upstream beta version
  * Use Tcl/Tk stubs
  * Convert to multiarch

 -- Ole Streicher <olebole@debian.org>  Fri, 24 Jul 2015 13:14:19 +0200

saods9 (7.4~b5+repack-1) experimental; urgency=low

  * New upstream beta version
  * New packages tk-sao, saods9-tcl-packages
  * Make saods9 an architecture-independent package

 -- Ole Streicher <olebole@debian.org>  Tue, 07 Jul 2015 20:18:24 +0200

saods9 (7.4~b4+repack-3) experimental; urgency=low

  * Correct Breaks and Replaces for removed package

 -- Ole Streicher <olebole@debian.org>  Tue, 07 Jul 2015 17:48:42 +0200

saods9 (7.4~b4+repack-2) experimental; urgency=low

  * Merge saods9 and saods9-data
  * Create and use tcl packages for saotk, tcliis, tclcheckdns, tkmpeg

 -- Ole Streicher <olebole@debian.org>  Tue, 07 Jul 2015 14:53:05 +0200

saods9 (7.4~b4+repack-1) experimental; urgency=low

  * New upstream beta version

 -- Ole Streicher <olebole@debian.org>  Sat, 04 Jul 2015 14:11:18 +0200

saods9 (7.4~b3+repack-1) experimental; urgency=low

  * New upstream beta version

 -- Ole Streicher <olebole@debian.org>  Tue, 23 Jun 2015 14:43:50 +0200

saods9 (7.4~b2+repack-1) experimental; urgency=low

  * New upstream beta version

 -- Ole Streicher <olebole@debian.org>  Thu, 11 Jun 2015 10:10:28 +0200

saods9 (7.4~b1+repack-1) unstable; urgency=low

  * New upstream beta version

 -- Ole Streicher <olebole@debian.org>  Mon, 08 Jun 2015 16:51:46 +0200

saods9 (7.2.3+repack-3) unstable; urgency=low

  * New upstream beta version
  * Add CI tests (ds9 with and without XPA)
  * Remove unuspported BLT calls. Closes: #792122

 -- Ole Streicher <olebole@debian.org>  Sun, 12 Jul 2015 10:00:32 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                cpio,
                debhelper (>= 9),
                dh-autoreconf,
+               dh-exec,
                html2text,
                libfuntools-dev,
                libstarlink-ast-dev (>= 7.0.4),
@@ -18,6 +19,7 @@
                libxt-dev,
                perl,
                tcl-signal,
+               tcl-xmlrpc,
                tcl-xpa,
                tcl8.6-dev,
                tcllib,
@@ -34,20 +36,25 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/saods9.git
 
 Package: saods9
-Architecture: any
+Architecture: all
 Depends: blt (>= 2.5.3),
          libtk-img,
-         saods9-data (= ${source:Version}),
+         saods9-tclpackages,
          tcl-signal,
+         tcl-xmlrpc,
          tcl-xpa,
          tcllib,
          tclxml,
          tk-table (>= 2.9),
+         tk8.6,
          tkcon,
+         tksao,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: saods9-doc
 Suggests: python-pyds9, xpa-tools
+Breaks: saods9-data (<< 7.4~b4+repack-2~)
+Replaces: saods9-data (<< 7.4~b4+repack-2~)
 Description: Image display tool for astronomy
  SAOImage DS9 is an astronomical imaging and data visualization
  application. DS9 supports FITS images and binary tables, multiple frame
@@ -67,6 +74,41 @@
  display, panner, magnifier, horizontal and vertical graphs, button bar, and
  color bar can be configured via menus or the command line.
 
+Package: tksao
+Architecture: any
+Depends: blt (>= 2.5.3), ${misc:Depends}, ${shlibs:Depends}
+Recommends: saods9-doc
+Suggests: saods9
+Multi-Arch: same
+Description: Tk widgets for astronomical imaging and data visualization
+ SAOTk is an integrated set of Tcl/Tk canvas widgets for astronomical
+ imaging and data visualization. The widget set is composed of the
+ Frame, Panner, Magnifier, and Colorbar widgets. In addition to
+ classical support for imaging FITS data, manipulating colormaps,
+ region marking, coordinate readout (including WCS), etc, SAOTk
+ widgets also support arbitrary image scaling and rotation, advanced
+ postscript printing, Truecolor graphic support, and image mosaics.
+ .
+ The SAOTk widgets are being used in a wide variety of astronomical
+ applications. These applications include general visualization and
+ analysis, real-time instrumentation and calibration, and interactive
+ modeling. These Tcl extensions can be utilized in any standard Tcl/Tk
+ environment to build custom data analysis and visualization
+ applications.
+
+Package: saods9-tclpackages
+Architecture: any
+Depends: tcl, tk, ${misc:Depends}, ${shlibs:Depends}
+Recommends: saods9
+Multi-Arch: same
+Description: Tcl/Tk packages provided with DS9
+ DS9 includes some extra Tcl/Tk packages that it needs for working. These
+ packages are tclcheckdns, tcliis, tkhtml1, tkmpeg.
+ .
+ This package is not meant to be used independently of saods9, since
+ the stability of the API and the presence of the individual packages is not
+ quaranteed.
+
 Package: saods9-doc
 Architecture: all
 Section: doc
@@ -79,15 +121,3 @@
  configurable and extensible via XPA and SAMP.
  .
  This package contains the documentation and help pages.
-
-Package: saods9-data
-Architecture: all
-Depends: ${misc:Depends}
-Description: Image display tool for astronomy (shared data)
- SAOImage DS9 is an astronomical imaging and data visualization
- application. DS9 supports FITS images and binary tables, multiple frame
- buffers, region manipulation, and many scale algorithms and colormaps. It
- provides for easy communication with external analysis tasks and is highly
- configurable and extensible via XPA and SAMP.
- .
- This package contains the architecture independent files.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BUILDPARTS:=dirs tclcheckdns tkmpeg tkhtml tcliis tksao ds9

get-orig-source:
	sh ./debian/repack.sh

%:
	dh $@ --with autoreconf,autotools_dev

override_dh_autoreconf:
	(cd unix; autoreconf -i -f)
	(cd ds9/unix; autoreconf -i -f)
	(cd tkhtml1.0; autoreconf -i -f)
	(cd tkmpeg1.0; autoreconf -i -f)
	(cd tcliis1.0; autoreconf -i -f)
	(cd tclcheckdns1.1; autoreconf -i -f)
	(cd tksao1.0; autoreconf -i -f)

override_dh_auto_configure:
	unix/configure

override_dh_auto_build:
	dh_auto_build -- $(BUILDPARTS)
	chmod ugo-x ds9/unix/zipdir/zvfsmntpt/library/*.tcl
	chmod ugo+x ds9/ds9
	perl -w debian/generate-man > ds9/ds9.1

override_dh_auto_test:
	DS9_HOME=ds9/unix/zipdir/zvfsmntpt \
	TCLLIBPATH=lib/ \
	xvfb-run --server-args="-screen 0 1024x768x24" \
	./ds9/ds9 -quit

override_dh_installchangelogs:
	dh_installchangelogs ds9/doc/release/r7.0.html

override_dh_auto_clean:
	dh_auto_clean

=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack//,repacksuffix=+repack \
    http://ds9.si.edu/site/Download.html \
    http://ds9.si.edu/.+/source/ds9\.(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
#opts=dversionmangle=s/\+repack//,repacksuffix=+repack,uversionmangle=s/(.+)([ab].+)/$1~$2/ \
#    http://ds9.si.edu/site/Beta.html \
#

## saods9 7.4.1+repack

=== debian/changelog ===
saods9 (7.4.1+repack-3build1) yakkety; urgency=medium

  * No-change rebuild against latest wcstools

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Aug 2016 17:26:46 -0400

saods9 (7.4.1+repack-3) unstable; urgency=low

  * Use tkblt instead of BLT
  * Don't close DS9 when closing the tkcon console
  * Suggest Python-3 version of pyds9
  * Push Standards-Version to 3.9.8 (no changes)

 -- Ole Streicher <olebole@debian.org>  Fri, 17 Jun 2016 08:49:11 +0200

saods9 (7.4.1+repack-2) unstable; urgency=low

  * Use external libs tkhtml1 and tkmpeg

 -- Ole Streicher <olebole@debian.org>  Thu, 02 Jun 2016 09:24:59 +0200

saods9 (7.4.1+repack-1) unstable; urgency=low

  * Update standards-version to 3.9.7 (no changes)
  * Update VCS fields, add ASCL-Id
  * New upstream version
  * Fix -Wnarrowing failure with gcc-6. Closes: #811753

 -- Ole Streicher <olebole@debian.org>  Thu, 17 Mar 2016 21:09:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: autotools-dev,
-               blt-dev (>= 2.5.3),
                cpio,
                debhelper (>= 9),
                dh-autoreconf,
@@ -15,44 +14,46 @@
                libtk-img-dev,
                libwcstools-dev,
                libxml2-dev,
-               libxrandr-dev,
-               libxt-dev,
                perl,
+               tcl-dev (>= 8.6),
                tcl-signal,
                tcl-xmlrpc,
                tcl-xpa,
-               tcl8.6-dev,
                tcllib,
                tclxml,
+               tk-dev (>= 8.6),
+               tk-html1,
+               tk-mpeg,
                tk-table (>= 2.9),
-               tk8.6-dev,
+               tkblt-dev,
                tkcon,
                xauth,
-               xvfb,
-               zlib1g-dev
-Standards-Version: 3.9.6
+               xvfb
+Standards-Version: 3.9.8
 Homepage: http://ds9.si.edu/
-Vcs-Git: git://anonscm.debian.org/debian-astro/packages/saods9.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-astro/packages/saods9.git
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/saods9.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/saods9.git
 
 Package: saods9
 Architecture: all
-Depends: blt (>= 2.5.3),
-         libtk-img,
+Depends: libtk-img,
          saods9-tclpackages,
          tcl-signal,
          tcl-xmlrpc,
          tcl-xpa,
          tcllib,
          tclxml,
+         tk (>= 8.6),
+         tk-html1,
+         tk-mpeg,
          tk-table (>= 2.9),
-         tk8.6,
+         tkblt,
          tkcon,
          tksao,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: saods9-doc
-Suggests: python-pyds9, xpa-tools
+Suggests: python3-pyds9, xpa-tools
 Breaks: saods9-data (<< 7.4~b4+repack-2~)
 Replaces: saods9-data (<< 7.4~b4+repack-2~)
 Description: Image display tool for astronomy
@@ -76,7 +77,7 @@
 
 Package: tksao
 Architecture: any
-Depends: blt (>= 2.5.3), ${misc:Depends}, ${shlibs:Depends}
+Depends: tkblt, ${misc:Depends}, ${shlibs:Depends}
 Recommends: saods9-doc
 Suggests: saods9
 Multi-Arch: same
@@ -98,12 +99,12 @@
 
 Package: saods9-tclpackages
 Architecture: any
-Depends: tcl, tk, ${misc:Depends}, ${shlibs:Depends}
+Depends: tcl, ${misc:Depends}, ${shlibs:Depends}
 Recommends: saods9
 Multi-Arch: same
 Description: Tcl/Tk packages provided with DS9
  DS9 includes some extra Tcl/Tk packages that it needs for working. These
- packages are tclcheckdns, tcliis, tkhtml1, tkmpeg.
+ packages are tclcheckdns and tcliis.
  .
  This package is not meant to be used independently of saods9, since
  the stability of the API and the presence of the individual packages is not

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-BUILDPARTS:=dirs tclcheckdns tkmpeg tkhtml tcliis tksao ds9
+BUILDPARTS:=dirs tclcheckdns tcliis tksao ds9
 
 get-orig-source:
 	sh ./debian/repack.sh
@@ -13,8 +13,6 @@
 override_dh_autoreconf:
 	(cd unix; autoreconf -i -f)
 	(cd ds9/unix; autoreconf -i -f)
-	(cd tkhtml1.0; autoreconf -i -f)
-	(cd tkmpeg1.0; autoreconf -i -f)
 	(cd tcliis1.0; autoreconf -i -f)
 	(cd tclcheckdns1.1; autoreconf -i -f)
 	(cd tksao1.0; autoreconf -i -f)

## saods9 7.5+repack1

=== ds9/library/Makefile ===
--- 
+++ 
@@ -179,12 +179,10 @@
 	xmfbox.tcl \
 	xpa.tcl
 
-msgs	: FORCE
+.PHONY	: msgs clean
+
+msgs	:
 	grep 'msgcat::mc' $(SCRIPTS) | cut -d[ -f2 | sed -e 's/::mc/::mcset AAA /' -e 's/]/ ""/' | sort | uniq > ../msgs/tmpl.tcl
 
-clean	: FORCE
+clean	:
 	$(RM) core *~ *# 
-
-distclean : clean
-
-FORCE	:

=== debian/changelog ===
saods9 (7.5+repack1-2) unstable; urgency=medium

  * Fix ds9 window class in desktop file
  * Fix problem with graphs and image zoomed out
  * Initialize tkblt stubs (Closes: #859777)

 -- Ole Streicher <olebole@debian.org>  Fri, 14 Apr 2017 13:42:38 +0200

saods9 (7.5+repack1-1) unstable; urgency=medium

  * Remove tests, MacOS and windows specific subdirs from tarball
  * Fix CI tests

 -- Ole Streicher <olebole@debian.org>  Sat, 17 Dec 2016 10:31:44 +0100

saods9 (7.5+repack-1) unstable; urgency=low

  * New upstream version 7.5+repack
  * Switch back to unstable
  * Add Github repo to d/u/metadata
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 16 Dec 2016 09:39:43 +0100

saods9 (7.5~rc.2+repack-1) experimental; urgency=low

  * New upstream version 7.5~rc2+repack
  * Insert a dot in version (rc.2) to workaround #840002

 -- Ole Streicher <olebole@debian.org>  Fri, 07 Oct 2016 10:33:42 +0200

saods9 (7.5~rc+repack-1) experimental; urgency=low

  * Imported Upstream version 7.5~rc+repack

 -- Ole Streicher <olebole@debian.org>  Fri, 16 Sep 2016 00:04:05 +0200

saods9 (7.5~b4+repack-1) experimental; urgency=low

  * Imported Upstream version 7.5~b4+repack

 -- Ole Streicher <olebole@debian.org>  Sat, 16 Jul 2016 09:54:36 +0200

saods9 (7.5~b3+repack-1) experimental; urgency=low

  * Imported Upstream version 7.5~b3+repack

 -- Ole Streicher <olebole@debian.org>  Thu, 14 Jul 2016 21:26:43 +0200

saods9 (7.5~b2+repack-1) experimental; urgency=low

  * Suggest Python-3 version of pyds9
  * Loose dependencies: depend on generic Tcl/Tk instead of 8.6
  * Remove obsolete build dependencies
  * Imported Upstream version 7.5~b2+repack

 -- Ole Streicher <olebole@debian.org>  Thu, 14 Jul 2016 09:52:57 +0200

saods9 (7.5~b1+repack1-2) experimental; urgency=low

  * Use tkblt instead of BLT

 -- Ole Streicher <olebole@debian.org>  Thu, 16 Jun 2016 16:44:28 +0200

saods9 (7.5~b1+repack1-1) experimental; urgency=low

  * Don't close DS9 when closing the tkcon console
  * Use external libs tkhtml1 and tkmpeg

 -- Ole Streicher <olebole@debian.org>  Thu, 02 Jun 2016 09:35:25 +0200

saods9 (7.5~b1+repack-1) experimental; urgency=low

  * New upstream beta release; switch to experimental
  * Push Standards-Version to 3.9.8 (no changes)

 -- Ole Streicher <olebole@debian.org>  Thu, 19 May 2016 21:45:01 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
                perl,
                tcl-dev (>= 8.6),
                tcl-signal,
-               tcl-xmlrpc,
                tcl-xpa,
                tcllib,
                tclxml,
@@ -39,7 +38,6 @@
 Depends: libtk-img,
          saods9-tclpackages,
          tcl-signal,
-         tcl-xmlrpc,
          tcl-xpa,
          tcllib,
          tclxml,
@@ -113,6 +111,7 @@
 Package: saods9-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Image display tool for astronomy (help files/documentation)
  SAOImage DS9 is an astronomical imaging and data visualization

=== debian/rules ===
--- 
+++ 
@@ -13,21 +13,21 @@
 override_dh_autoreconf:
 	(cd unix; autoreconf -i -f)
 	(cd ds9/unix; autoreconf -i -f)
-	(cd tcliis1.0; autoreconf -i -f)
-	(cd tclcheckdns1.1; autoreconf -i -f)
-	(cd tksao1.0; autoreconf -i -f)
+	(cd tcliis; autoreconf -i -f)
+	(cd tclcheckdns; autoreconf -i -f)
+	(cd tksao; autoreconf -i -f)
 
 override_dh_auto_configure:
 	unix/configure
 
 override_dh_auto_build:
 	dh_auto_build -- $(BUILDPARTS)
-	chmod ugo-x ds9/unix/zipdir/zvfsmntpt/library/*.tcl
+	chmod ugo-x ds9/unix/zvfsmntpt/library/*.tcl
 	chmod ugo+x ds9/ds9
 	perl -w debian/generate-man > ds9/ds9.1
 
 override_dh_auto_test:
-	DS9_HOME=ds9/unix/zipdir/zvfsmntpt \
+	DS9_HOME=ds9/unix/zvfsmntpt \
 	TCLLIBPATH=lib/ \
 	xvfb-run --server-args="-screen 0 1024x768x24" \
 	./ds9/ds9 -quit

=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack.*//,repacksuffix=+repack \
    http://ds9.si.edu/site/Download.html \
    http://ds9.si.edu/.+/source/ds9\.(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
#opts=dversionmangle=s/\+repack.*//,repacksuffix=+repack,uversionmangle=s/(.+)([abr].+)/$1~$2/ \
#    http://ds9.si.edu/site/Beta.html \
#    http://ds9.si.edu/.+/source/ds9\.(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
